/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;

public class Lesen {

	public static void main(String[] args) throws Exception {

		Provider.select("eclipselink");
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank", DB.postgresql);
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();

		Kunde kunde = em.find(Kunde.class, 1);
		for (Konto konto : kunde.getKonten()) {
			System.out.print("Das Konto " + konto.getKontonummer()
					+ " gehoert " + kunde.getVorname() + " "
					+ kunde.getNachname());
			for (Kunde k : konto.getKunden()) {
				if (!k.equals(kunde)) {
					System.out.print(" und " + k.getVorname() + " "
							+ k.getNachname());
				}
			}
			System.out.println();
		}

		em.getTransaction().commit();

		em.clear();
		emf.close();
	}
}
