/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Anrede;
import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;


public class Schreiben {
	
		public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank", DB.postgresql);
		EntityManager em = emf.createEntityManager();

		
//		em.getTransaction().begin();
//
//		Kunde kunde1 = new Kunde("Max", "Mustermann", "29.7.1962", Anrede.HERR);
//		Kunde kunde2 = new Kunde("Lisa", "Mustermann", "7.8.1965", Anrede.FRAU);
//		Konto konto1 = new Konto();
//		Konto konto2 = new Konto();
//		
//		System.out.println("getKonten() " + kunde1.getKonten());
//		kunde1.addKonto(konto1);
//		kunde1.addKonto(konto2);
//		kunde2.addKonto(konto1);
//		kunde2.addKonto(konto2);
//		
//		kunde1.addKonto();
//		
//		em.persist(kunde1);
//		em.persist(kunde2);
//
//		em.getTransaction().commit();
		
		

		em.getTransaction().begin();

		Kunde kunde1 = new Kunde("Max", "Mustermann", "29.7.1962", Anrede.HERR);
		Kunde kunde2 = new Kunde("Lisa", "Mustermann", "7.8.1965", Anrede.FRAU);
		Konto konto1 = new Konto();
		
		konto1.getKunden().add(kunde1);
		kunde1.getKonten().add(konto1);
		konto1.getKunden().add(kunde2);
		kunde2.getKonten().add(konto1);
		
		em.persist(konto1);

		em.getTransaction().commit();



		

		em.clear();
		emf.close();
	}
}
